<?php
namespace Zeedhi\Translate\Controller;

use Zeedhi\Translate\Controller\Project;
use Zeedhi\Framework\DataSource\FilterCriteria;

class ResourceProject {
	const RESOURCE_ID_COLUMN = 'RESOURCE_C';

	protected $dataSourceName = 'resourceProject';

	public function __construct($dataSourceManager) {
		$this->dataSourceManager = $dataSourceManager;
	}

	public function find($managerId) {
		$filter = new FilterCriteria($this->dataSourceName);
		$filter->addCondition(self::RESOURCE_ID_COLUMN, "IN", $managerId);
		$filter->addCondition(Project::TYPE_COLUMN, Project::TYPE);
		$filter->addCondition(Project::STATUS_COLUMN, Project::STATUS);
		$dataSet = $this->dataSourceManager->findBy($filter);
		return $dataSet->getRows();;
	}

}